// pages/writeComplaint/writeComplaint.js
Page({

    /**
     * 页面的初始数据
     */
    data: {
        complaintTitle: '', //接收输入的建议标题
        complaintContent: '' //接收输入的建议内容
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },

    // 获取输入的标题内容
    getComplaintTitle(e) {
        // console.log(e.detail.value)
        this.setData({
            complaintTitle: e.detail.value
        })
        // console.log('complaintTitle:',this.data.complaintTitle);
    },

    // 获取输入的建议内容
    getComplaintContent(e) {
        this.setData({
            complaintContent: e.detail.value
        })
        // console.log('complaintContent:',this.data.complaintContent);
    },

    // 取消按钮功能
    toCancel() {
        this.setData({
            complaintTitle: '',
            complaintContent: ''
        })
        wx.navigateBack({
            delta: 1,
        })
        // console.log('取消后complaintTitle：',this.data.complaintTitle);
        // console.log('取消后complaintContent：',this.data.complaintContent);
    },

    // 提交按钮功能
    toConfirm() {
        // 先判断标题和内容是否为空，如果为空，则不能提交
        let complaintTitle = this.data.complaintTitle
        let complaintContent = this.data.complaintContent
        var head = '^[ ]+$'
        var re = new RegExp(head)
        if (!complaintTitle) {
            wx.showModal({
                title: '投诉标题未写',
                content: '请补充标题后再重新提交'
            })
        } else if (re.test(complaintTitle)) {
            wx.showModal({
                title: '标题为空格',
                content: '投诉标题不能全部为空格，请修改投诉标题后再提交'
            })
        } else if (!complaintContent) {
            wx.showModal({
                title: '投诉内容未写',
                content: '投诉内容不能为空，请补充投诉内容后再提交'
            })
        } else if (re.test(complaintContent)) {
            wx.showModal({
                title: '投诉内容为空格',
                content: '投诉内容不能全部为空格，请修改投诉内容后再提交'
            })
        }
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})